#!/usr/bin/env python3

import argparse
from os import system,environ

blastp_tool = 'blastp'

parser = argparse.ArgumentParser(description='Identify homologues in the swissprot database')
parser.add_argument('--fasta', '-f', required=True, help='A fasta file with aminoacid sequences')
parser.add_argument('--database', '-d', required=True, help='Database to search in')
parser.add_argument('--output', '-o', required=True, help='The result file')
parser.add_argument('--evalue', '-e', default='0.01', help='Evalue cutoff')
parser.add_argument('--alignment', '-a', action='store_true', help='Include alignments in btop format')
parser.add_argument('--use_accession', '-x', action='store_true', help='Output the subject accession instead of the whole subject id')
args = parser.parse_args()

format = '7 qseqid'
if args.use_accession:
    format += ' saccver'
else:
    format += ' sseqid'
format += ' pident qstart qend sstart send slen evalue bitscore'

if args.alignment:
    format += ' btop'

print(blastp_tool + " -db " + args.database + " -outfmt '" + format + "' -out " + args.output + " -query " + args.fasta + " -evalue " + args.evalue)
