#!/usr/bin/env python3

import argparse
from os import system,makedirs,path,environ

ghostx_tool = 'ghostx'

parser = argparse.ArgumentParser(description='Identify homologues in the swissprot database')
parser.add_argument('--fasta', '-f', required=True, help='A fasta file with aminoacid sequences')
parser.add_argument('--database', '-d', required=True, help='Database to search in')
parser.add_argument('--max_hits', '-m', type=int, default=20, help='Maximal number of reported hits')
parser.add_argument('--output', '-o', required=True, help='The result directory. Will contain info.json, results.tsv and enum_headers.tsv.')
args = parser.parse_args()

print('mkdir -p ' + args.output)

# Aproach:
#  directory for output
#    info.json -> Tool info
#    result.json -> Tool result

print("    VERSION=\$(ghostx 2>&1 | grep -Eo '[[:digit:]]\\\\.[[:digit:]]\\\\.[[:digit:]]')")
toolconfig = '{\\\\"name\\\\": \\\\"ghostx\\\\", \\\\"database\\\\":' \
            + '\\\\"' + args.database + '\\\\"' + ', \\\\"version\\\\":\\\\"\$VERSION\\\\" }'
print('    echo ' + toolconfig + ' > ' + args.output + '/info.json')
print('    ' + ghostx_tool + " aln -v 5 -b " + str(args.max_hits) + " -d " + args.database + " -o " + args.output + "/results.tsv -i " + args.fasta)
