#!/usr/bin/env python3

import argparse
import json
from os import system,makedirs,environ

hmmscan_tool = 'hmmscan'

parser = argparse.ArgumentParser(description='Search sequences against a profile database')
parser.add_argument('--fasta', '-f', required=True, help='A fasta file with aminoacid sequences')
parser.add_argument('--database', '-d', required=True, help='Database to search in')
parser.add_argument('--output', '-o', required=True, help='The result directory')
parser.add_argument('--evalue', '-e', default='0.0001', help='Evalue cutoff')
args = parser.parse_args()

print('mkdir -p ' + args.output)

print(hmmscan_tool + 
        " -E " + args.evalue + 
        " -o " + args.output + "/hmmscan.out " + 
        " --tblout " + args.output + "/tblout.tsv "  + 
        " --domtblout " + args.output + "/domtblout.tsv " + 
        " --pfamtblout " + args.output + "/pfamtblout.tsv " + 
        args.database + " " +  args.fasta)

