#!/usr/bin/env python3

import argparse
from os import system,makedirs,environ

signalp_tool = 'signalp'

parser = argparse.ArgumentParser(description='Find signal peptides in amino acid sequences')
parser.add_argument('--fasta', '-f', required=True, help='A fasta file with aminoacid sequences')
parser.add_argument('--organism', '-o', choices=['euk', 'gram+', 'gram-'], default='euk', help='The organism type')
parser.add_argument('--include_mature', '-m', action='store_true', help='Include mature sequences of proteins with signal peptide')
parser.add_argument('--output', required=True, help='The result directory. Will contain results.txt and optionally mature.fas.')
args = parser.parse_args()

print('mkdir -p ' + args.output)

mature_param = " -m {}/mature.fas ".format(args.output) if args.include_mature else " "
results_file = args.output + '/results.txt'
print('    ' + signalp_tool + " -t " + args.organism + mature_param + args.fasta + " > " + results_file)
