#!/usr/bin/env python3

import argparse
from os import system,makedirs,path,environ

targetp_tool = 'targetp'

org_flags = {'plant': '-P', 'non-plant': '-N'}

parser = argparse.ArgumentParser(description='Determine subcellular locations of eukaryotic amino acid sequences')
parser.add_argument('--fasta', '-f', required=True, help='A fasta file with amino acid sequences')
parser.add_argument('--organism_group', choices=org_flags.keys(), required=True, help='Define wether to use plant/non-plant networks')
parser.add_argument('--output', required=True, help='The result directory. Will contain results.txt and enum_headers.tsv.')
args = parser.parse_args()

print('mkdir -p ' + args.output)

results_file = args.output + '/results.txt'
print('    ' + targetp_tool + " " + org_flags[args.organism_group]  + " " + args.fasta + " > " + results_file)
