from nested_lookup import nested_lookup

def dbxrefs_from_documents(documents):
  refs = set()
  for key in documents:
    refs.update(dbxrefs_from_document(documents[key]))
  return refs

def dbxrefs_from_document(document):
  '''finds all dbxrefs in the document and returns a list of ids'''
  if 'computations' in document:
    refs = nested_lookup('dbxref', document['computations'])
    return set(refs)
  return set([])

def combine_with_documents(documents, data):
  for k in documents:
    combine_with_document2(documents[k], data)

def combine_with_document(document, data):
  '''adds an information tag for each result that references a dbxref'''
  if 'computations' in document:
    for c in document['computations']:
      for r in c['results']:
        if 'target' in r and 'dbxref' in r['target']:
          r['dbxrefs'] = next(entry for entry in data if entry['id'] == r['target']['dbxref'])

def combine_with_document2(document, data):
    '''adds an information field to the document that contains all referenced
    dbxrefs present in data within the document'''
    if not 'dbxrefs' in document:
        document['dbxrefs'] = {}
    dbxrefs = dbxrefs_from_document(document)
    for info in data:
        if info['id'] in dbxrefs:
            document['dbxrefs'][info['id']] = info
        
