#!/usr/bin/env python3

import json
import argparse
import sys
from dbxref.retriever import retrieve
from dbxref.resolver import convert_to_dbxrefs
from psot import dbxref

parser = argparse.ArgumentParser(description='Resolve dbxrefs from json file')
parser.add_argument('--input', '-i', required=True, help='The json input document')
parser.add_argument('--output', '-o', required=True, help='The json output document')
args = parser.parse_args()

with open(args.input, 'r') as json_file: 
  j = json.load(json_file)
  # extract all dbxrefs
  dbxrefs = dbxref.dbxrefs_from_documents(j)
  # retrieve information for dbxrefs
  entries = retrieve(convert_to_dbxrefs(sorted(dbxrefs)))
  # add information field to results
  dbxref.combine_with_documents(j, entries)
  # write updated json
  with open(args.output, 'w') as o:
      json.dump(j, o)

