#!/usr/bin/python3

import json
import argparse

parser = argparse.ArgumentParser(description='Convert a fasta file into a json document')
parser.add_argument('--result', '-r', required=True, help='The fasta file')
parser.add_argument('--output', '-o', required=True, help='The json file')
args = parser.parse_args()

documents = {}
with open(args.result) as f:
    id = None
    for line in f:
        if line.startswith(">"):
            id = line.split()[0][1:]
            documents[id] = {'id': id, 'sequence': ''}
        elif id is not None:
            documents[id]['sequence'] += line.strip()

output_filename = args.output
with open(output_filename, 'w') as o:
    json.dump(documents, o)
